fl="/webcartographer/map_data/in.list"
mvrt="/webcartographer/map_data/out.vrt"
find /webcartographer/map_data/world -name "*.png" > $fl
we="/webcartographer/html/worldExtent.js"

rm $mvrt
gdalbuildvrt -hidenodata -srcnodata "0 0 0" -input_file_list $fl $mvrt

rm -rf /webcartographer/webserver/html/map_data/rasters/
gdal2tiles.py -p raster -e -r near -z 0-9 -s epsg:3857 --processes=8 -x -w all --xyz $mvrt /webcartographer/html/data/rasters/

echo "Extracting the new extent..."
echo "var vsWorldGrid = new ol.tilegrid.TileGrid({" > $we
grep -A3 extent /webcartographer/html/data/rasters/openlayers.html | sed -e 's/^[ \t]*//' >> $we
echo -e " });" >> $we

cp -r /webcartographer/map_data/geojson /webcartographer/html/data/

echo "Done!"